API Explorer 935 endpoints

Get Branch

GET /obp/v7.0.0/banks/BANK_ID/branches/BRANCH_ID

OBPv3.0.0-getBranch No role required BranchBank

Returns information about a single Branch specified by BANK_ID and BRANCH_ID including:

  • Name
  • Address
  • Geo Location
  • License the data under this endpoint is released under.

User Authentication is Optional. The User need not be logged in.

URL Parameters:

BANK_ID: gh.29.uk

BRANCH_ID: DERBY6

JSON response body fields (35)
accessibleFeatures
address
bank_id
gh.29.uk
branch_routing
branch_type
city
closing_time
2020-01-27
country_code
1254
county
drive_up
friday
id
d8839721-ad8f-45dd-9f78-2080414b93f9
is_accessible
false
latitude
38.8951
license
line_1
line_2
line_3
lobby
location
longitude
-77.0364
meta
monday
more_info
More information about this fee
name
ACCOUNT_MANAGEMENT_FEE
opening_time
phone_number
postcode
saturday
scheme
OBP
state
sunday
thursday
tuesday
wednesday
Example success response
{
  "id": "branch-id-123",
  "bank_id": "bank-id-123",
  "name": "Branch by the Lake",
  "address": {
    "line_1": "No 1 the Road",
    "line_2": "The Place",
    "line_3": "The Hill",
    "city": "Berlin",
    "county": "String",
    "state": "Brandenburg",
    "postcode": "13359",
    "country_code": "DE"
  },
  "location": {
    "latitude": 10,
    "longitude": 10
  },
  "meta": {
    "license": {
      "id": "ODbL-1.0",
      "name": "Open Database License"
    }
  },
  "lobby": {
    "monday": [
      {
        "opening_time": "10:00",
        "closing_time": "18:00"
      }
    ],
    "tuesday": [
      {
        "opening_time": "10:00",
        "closing_time": "18:00"
      }
    ],
    "wednesday": [
      {
        "opening_time": "10:00",
        "closing_time": "18:00"
      }
    ],
    "thursday": [
      {
        "opening_time": "10:00",
        "closing_time": "18:00"
      }
    ],
    "friday": [
      {
        "opening_time": "10:00",
        "closing_time": "18:00"
      }
    ],
    "saturday": [
      {
        "opening_time": "10:00",
        "closing_time": "18:00"
      }
    ],
    "sunday": [
      {
        "opening_time": "10:00",
        "closing_time": "18:00"
      }
    ]
  },
  "drive_up": {
    "monday": {
      "opening_time": "10:00",
      "closing_time": "18:00"
    },
    "tuesday": {
      "opening_time": "10:00",
      "closing_time": "18:00"
    },
    "wednesday": {
      "opening_time": "10:00",
      "closing_time": "18:00"
    },
    "thursday": {
      "opening_time": "10:00",
      "closing_time": "18:00"
    },
    "friday": {
      "opening_time": "10:00",
      "closing_time": "18:00"
    },
    "saturday": {
      "opening_time": "10:00",
      "closing_time": "18:00"
    },
    "sunday": {
      "opening_time": "10:00",
      "closing_time": "18:00"
    }
  },
  "branch_routing": {
    "scheme": "OBP",
    "address": "123abc"
  },
  "is_accessible": "true",
  "accessibleFeatures": "wheelchair, atm usuable by the visually impaired",
  "branch_type": "Full service store",
  "more_info": "short walk to the lake from here",
  "phone_number": "+381631954907"
}
Possible errors (2)
  • OBP-300010: Branch not found. Please specify a valid value for BRANCH_ID. Or License may not be set. meta.license.id and meta.license.name can not be empty
  • OBP-50000: Unknown Error.
Implemented by OBPv3.0.0 getBranch Originally /obp/v3.0.0/banks/BANK_ID/branches/BRANCH_ID